## pcaputils 0.0.2

=== Makefile ===
PKGNAME = pcaputils
VERSION = 0.0.2
PREFIX = /usr

CC = gcc
INCLUDE = -Iutil
CFLAGS = -Wall -Werror -Wextra -ggdb -O2
LDFLAGS = -Wl,--as-needed
LIBS = -lpcap -lJudy

ifneq ($(shell uname), Linux)
PREFIX = /usr/local
INCLUDE += -I/usr/local/include
LDFLAGS += -L/usr/local/lib
endif

BIN = bin/pcapdump bin/pcapip bin/pcappick bin/pcapuc

UTIL = \
	util/cfgopt.o \
	util/getline.o \
	util/pcapnet.o \
	util/util.o

PCAPDUMP = src/pcapdump.o
PCAPIP = src/pcapip.o
PCAPPICK = src/pcappick.o
PCAPUC = src/pcapuc.o

ALL = $(BIN) $(UTIL) $(PCAPDUMP) $(PCAPIP) $(PCAPPICK) $(PCAPUC)

all: $(ALL)

clean:
	rm -f $(ALL)
	$(MAKE) -C doc clean

doc:
	$(MAKE) -C doc

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDE) -c $< -o $@

bin/pcapdump: $(UTIL) $(PCAPDUMP)
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDE) -o $@ $^ $(LIBS)

bin/pcapip: $(UTIL) $(PCAPIP)
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDE) -o $@ $^ $(LIBS)

bin/pcappick: $(UTIL) $(PCAPPICK)
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDE) -o $@ $^ $(LIBS)

bin/pcapuc: $(UTIL) $(PCAPUC)
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDE) -o $@ $^ $(LIBS)

install: $(BIN)
	install -m 0755 $(BIN) $(DESTDIR)$(PREFIX)/bin

EXPORT = ../build/$(PKGNAME)-$(VERSION)
export:
	rm -rf $(EXPORT)
	svn export . $(EXPORT)
	svn export util $(EXPORT)/util

.PHONY: all clean doc install export

## pcaputils 0.8

=== Makefile ===
### Build flags for all targets
CFLAGS         ?= -O2 -ggdb -Wall
CF_ALL          = $(CFLAGS) -Wextra -std=gnu99 -I.
LF_ALL          = -rdynamic -Wl,--as-needed -Wl,-z,defs

### Build tools
CC              = gcc
COMP            = $(CC) $(CF_ALL) $(CF_TGT) -o $@ -c $<
LINK            = $(CC) $(LF_ALL) $(LF_TGT) -o $@ $^ $(LL_TGT) $(LL_ALL)
COMPLINK        = $(CC) $(CF_ALL) $(CF_TGT) $(LF_ALL) $(LF_TGT) -o $@ $< $(LL_TGT) $(LL_ALL)
ARCH            = $(AR) rcs $@ $^
MAKEDEP         = @set -e; rm -f $@; $(CC) $(CF_ALL) $(CFG_TGT) -MM $(CPPFLAGS) $< > $@.$$$$; \
			sed 's,.*:,$(patsubst %.d,%.o,$@) $@ : ,g' < $@.$$$$ > $@; \
	 		rm -f $@.$$$$
DEBCHANGELOG    = @sed -i \
			-e 's/@@PKGNAME@@/$(PKGNAME)/' \
			-e 's/@@PKGVER@@/$(PKGVER)/' \
			-e 's/@@DEBFULLNAME@@/$(DEBFULLNAME)/' \
			-e 's/@@DEBEMAIL@@/$(DEBEMAIL)/' \
			-e 's/@@DATE@@/$(shell date -R)/' \
			$(EXPORT)/debian/changelog

### Standard parts
include Rules.mk

=== doc/Makefile ===
MAN = pcapdump.1 pcapip.1 pcappick.1 pcapuc.1

all: $(MAN)

clean:
	rm -f $(MAN)

%.1: %.docbook
	docbook2x-man --xinclude $<

.PHONY: all clean

=== debian/changelog ===
pcaputils (0.8-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
    Closes: #1086050
  * Take over package by Package Salvage team
  * Short dh
  * Depends: ${misc:Depends}
  * Enable hardening options
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Winfried Angele ]
  * Fix pcapdump output file rotation
    Closes: #691316

  [ A. Costa ]
  * Fix typo in manpage
    Closes: #698035

  [ Andreas Tille ]
  * Propagate hardening linker flags
  * Fix cut-n-pasto

  [ наб ]
  * d/pcaputils.pcapdump@.service: add (Closes: #1039310)
  * d/lintian-overrides: ignore
    + init.d-script-should-always-start-service    (special generator)
    + init.d-script-does-not-source-init-functions (unit not used by systemd)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 29 Oct 2024 14:26:15 +0100

pcaputils (0.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0; closes: #1007645.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 18:02:13 +0000

pcaputils (0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/{compat,control}.
    (Closes: #965769)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add missing targets in debian/rules.
    (Closes: #999325)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #901211)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Dec 2021 01:22:56 +0100

pcaputils (0.8-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: support DLT_RAW; closes: #511948.
    - Fix typo in pcapdump manpage; closes: #511326.
    - Fix description in pcappick manpage; closes: #521158.
    - Add -T / duration option to limit capture duration (from Stéphane
      Bortzmeyer).
    - Add -R / random option to do uniform probabilistic sampling (from
      Stéphane Bortzmeyer).

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 09 May 2009 19:18:08 -0400

pcaputils (0.7-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: fix broken packet sampling.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 25 May 2008 15:50:18 -0400

pcaputils (0.6-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: add -S / sample option to record a subset of captured packets.
    - Fix parsing of cfgopt values to allow '=' in bpf expressions.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 12 May 2008 12:49:19 -0400

pcaputils (0.5-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: correct packet bytes dumped calculation when using -H.
    - pcapnet: remove inline declarations which caused FTBFS errors with
      gcc-4.3.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 25 Mar 2008 13:54:10 -0400

pcaputils (0.4-1) unstable; urgency=low

  * New upstream release.
    - Add -r / readfile option to pcapdump to read from a saved trace file.
    - Add -H / headersonly option to pcapdump which only writes link,
      network, and transport headers to trace files.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 25 Mar 2008 00:25:21 -0400

pcaputils (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 08 Mar 2008 22:18:03 -0500

pcaputils (0.2-1) unstable; urgency=low

  * New upstream release.
    - portable IP checksum implementation; closes: #469889.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 07 Mar 2008 21:20:59 -0500

pcaputils (0.1-1) unstable; urgency=low

  * New upstream release.
  * Add LSB info to init script; closes: #468368.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 04 Mar 2008 15:49:33 -0500

pcaputils (0.0.2-1) unstable; urgency=low

  * New upstream release:
    - Fix calculation in human_readable_rate()
    - Remove empty #define on big endian arches (FTBFS); closes: #454252.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 26 Nov 2007 17:13:58 -0500

pcaputils (0.0.1-1) unstable; urgency=low

  * Initial release; closes: #449322.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 24 Nov 2007 22:45:46 -0500

=== debian/control ===
Source: pcaputils
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libpcap0.8-dev,
               libjudy-dev,
               docbook2x,
               docbook-xml
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/pcaputils
Vcs-Git: https://salsa.debian.org/salvage-team/pcaputils.git

Package: pcaputils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: specialized libpcap utilities
 pcaputils includes the following libpcap-based utilities:
  - pcapip: filters an input pcap file based on a file containing IP addresses
  - pcappick: picks specific frames out of a pcap by number
  - pcapuc: prints unique src IPs, dst IPs, or {src, dst} IP pairs witnessed
  - pcapdump: a dedicated packet capture utility similar to dumpcap, but with
    these features:
  * logs packet dump and drop rates
  * can run as a daemon
  * can dynamically reload its configuration without dropping packets
  * can be signalled to immediately rotate its capture output file
  * can partition its output based on time intervals (e.g., start of hour or
    start of day)
  * can strip application data from the trace file (output headers only)
  * can sample the packet stream (e.g., only dump every 1 in 10 or 1 in 100
    packets)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"
	$(MAKE) -C doc

override_dh_installinit:
	dh_installinit --name=pcapdump -- start 90 2 3 4 5 . stop 05 0 1 6 .

override_dh_installsystemd:
	mkdir -p debian/pcaputils/usr/lib/systemd/system/
	cp debian/pcaputils.pcapdump@.service debian/pcaputils/usr/lib/systemd/system/pcapdump@.service
	dh_installsystemd --name=pcapdump
